--- old/usr/src/uts/sun4u/io/panther_asm.s	Thu Nov 14 19:00:44 2019
+++ new/usr/src/uts/sun4u/io/panther_asm.s	Thu Nov 14 19:00:44 2019
@@ -25,11 +25,7 @@
  * Assembly code support for the Cheetah+ module
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
-#if !defined(lint)
 #include "assym.h"
-#endif	/* lint */
 
 #include <sys/asm_linkage.h>
 #include <sys/mmu.h>
@@ -54,8 +50,6 @@
 #endif /* TRAPTRACE */
 
 
-#if !defined(lint)
-
 	.global retire_l2_start
 	.global retire_l2_end
 	.global unretire_l2_start
@@ -127,16 +121,6 @@
 	PN_ECACHE_REFLUSH_LINE(l2_idx_out, l3_idx_out, scr3, scr4)
 
 
-#endif	/* !lint */
-
-#if defined(lint)
-
-/*ARGSUSED*/
-int
-retire_l2(uint64_t tag_addr, uint64_t pattern)
-{return 0;}
-
-#else
 	.align 4096
 	ENTRY(retire_l2)
 retire_l2_start:
@@ -198,18 +182,6 @@
 retire_l2_end:
 	SET_SIZE(retire_l2)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-/*
- */
-/*ARGSUSED*/
-int
-unretire_l2(uint64_t tag_addr, uint64_t pattern)
-{return 0;}
-
-#else
 	ENTRY(unretire_l2)
 unretire_l2_start:
 
@@ -257,16 +229,6 @@
 unretire_l2_end:
 	SET_SIZE(unretire_l2)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-/*ARGSUSED*/
-int
-retire_l3(uint64_t tag_addr, uint64_t pattern)
-{return 0;}
-
-#else
 	ENTRY(retire_l3)
 retire_l3_start:
 
@@ -323,18 +285,6 @@
 retire_l3_end:
 	SET_SIZE(retire_l3)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-/*
- */
-/*ARGSUSED*/
-int
-unretire_l3(uint64_t tag_addr, uint64_t pattern)
-{return 0;}
-
-#else
 	ENTRY(unretire_l3)
 unretire_l3_start:
 
@@ -382,16 +332,6 @@
 unretire_l3_end:
 	SET_SIZE(unretire_l3)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-/*ARGSUSED*/
-int
-retire_l2_alternate(uint64_t tag_addr, uint64_t pattern)
-{return 0;}
-
-#else
 	.align 2048
 
 	ENTRY(retire_l2_alternate)
@@ -452,18 +392,6 @@
 	 dec	%o5
 	SET_SIZE(retire_l2_alternate)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-/*
- */
-/*ARGSUSED*/
-int
-unretire_l2_alternate(uint64_t tag_addr, uint64_t pattern)
-{return 0;}
-
-#else
 	ENTRY(unretire_l2_alternate)
 
 	! since we disable interrupts, we don't need to do kpreempt_disable()
@@ -509,16 +437,6 @@
 	 mov	%o5, %o0
 	SET_SIZE(unretire_l2_alternate)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-/*ARGSUSED*/
-int
-retire_l3_alternate(uint64_t tag_addr, uint64_t pattern)
-{return 0;}
-
-#else
 	ENTRY(retire_l3_alternate)
 
 	! since we disable interrupts, we don't need to do kpreempt_disable()
@@ -573,18 +491,6 @@
 	 dec	%o5
 	SET_SIZE(retire_l3_alternate)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-/*
- */
-/*ARGSUSED*/
-int
-unretire_l3_alternate(uint64_t tag_addr, uint64_t pattern)
-{return 0;}
-
-#else
 	ENTRY(unretire_l3_alternate)
 
 	! since we disable interrupts, we don't need to do kpreempt_disable()
@@ -630,16 +536,6 @@
 	 mov	%o5, %o0
 	SET_SIZE(unretire_l3_alternate)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-/*ARGSUSED*/
-void
-get_ecache_dtags_tl1(uint64_t afar, ch_cpu_logout_t *clop)
-{ }
-
-#else
 	ENTRY(get_ecache_dtags_tl1)
 
 
@@ -654,15 +550,6 @@
 	retry
 	SET_SIZE(get_ecache_dtags_tl1)
 
-#endif	/* lint */
-
-#if defined(lint)
-/*ARGSUSED*/
-void
-get_l2_tag_tl1(uint64_t tag_addr, uint64_t tag_data_ptr)
-{ }
-
-#else
 	ENTRY(get_l2_tag_tl1)
 
 	/*
@@ -674,15 +561,6 @@
 	retry
 	SET_SIZE(get_l2_tag_tl1)
 
-#endif	/* lint */
-
-#if defined(lint)
-/*ARGSUSED*/
-void
-get_l3_tag_tl1(uint64_t tag_addr, uint64_t tag_data_ptr)
-{ }
-
-#else
 	ENTRY(get_l3_tag_tl1)
 
 	/*
@@ -693,6 +571,4 @@
 
 	retry
 	SET_SIZE(get_l3_tag_tl1)
-
-#endif	/* lint */
 
--- old/usr/src/uts/sun4u/io/pci/pci_asm.s	Thu Nov 14 19:00:44 2019
+++ new/usr/src/uts/sun4u/io/pci/pci_asm.s	Thu Nov 14 19:00:44 2019
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * Assembly language support for physical big/little endian access of pcitool
  * in the PCI drivers.
@@ -37,17 +35,6 @@
 
 /*LINTLIBRARY*/
 
-#if defined(lint)
-
-/*ARGSUSED*/
-int pci_do_phys_peek(size_t size, uint64_t paddr, uint64_t *value, int type)
-{ return (0); }
-
-int pci_do_phys_poke(size_t size, uint64_t paddr, uint64_t *value, int type)
-{ return (0); }
-
-#else /* lint */
-
 ! pci_do_phys_peek: Do physical address read.
 !
 ! %o0 is size in bytes - Must be 8, 4, 2 or 1.  Invalid sizes default to 1.
@@ -164,4 +151,3 @@
 	mov	%g0, %o0
 	SET_SIZE(pci_do_phys_poke)
  
-#endif
--- old/usr/src/uts/sun4u/io/pci/pcisch_asm.s	Thu Nov 14 19:00:45 2019
+++ new/usr/src/uts/sun4u/io/pci/pcisch_asm.s	Thu Nov 14 19:00:45 2019
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma	ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/asm_linkage.h>
 #include <sys/machthread.h>
 #include <sys/fsr.h>
@@ -34,14 +32,6 @@
 
 #define	VIS_BLOCKSIZE	64
 
-#if defined(lint)
-
-void
-tomatillo_store_store_order()
-{}
-
-#else /* lint */
-
 	.seg    ".data"
 	.align  VIS_BLOCKSIZE
 	.type   sync_buf, #object
@@ -62,4 +52,3 @@
 	membar  #Sync
 	SET_SIZE(tomatillo_store_store_order)
 
-#endif /* lint */
--- old/usr/src/uts/sun4u/io/px/px_asm_4u.s	Thu Nov 14 19:00:45 2019
+++ new/usr/src/uts/sun4u/io/px/px_asm_4u.s	Thu Nov 14 19:00:45 2019
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * Assembly language support for px driver
  */
@@ -36,20 +34,6 @@
 
 /*LINTLIBRARY*/
 
-#if defined(lint)
-
-/*ARGSUSED*/
-int
-px_phys_peek_4u(size_t size, uint64_t paddr, uint64_t *value, int type)
-{ return (0); }
-
-/*ARGSUSED*/
-int
-px_phys_poke_4u(size_t size, uint64_t paddr, uint64_t *value, int type)
-{ return (0); }
-
-#else /* lint */
-
 ! px_phys_peek_4u: Do physical address read.
 !
 ! %o0 is size in bytes - Must be 8, 4, 2 or 1.  Invalid sizes default to 1.
@@ -167,4 +151,3 @@
 	mov	%g0, %o0
 	SET_SIZE(px_phys_poke_4u)
  
-#endif
--- old/usr/src/uts/sun4u/lw8/ml/lw8_platmod_asm.s	Thu Nov 14 19:00:45 2019
+++ new/usr/src/uts/sun4u/lw8/ml/lw8_platmod_asm.s	Thu Nov 14 19:00:45 2019
@@ -24,13 +24,7 @@
  * Use is subject to license terms.
  */
 
-#pragma	ident	"%Z%%M%	%I%	%E% SMI"
-
-#if defined(lint)
-#include <sys/types.h>
-#else
 #include "assym.h"
-#endif /* lint */
 
 #include <sys/asm_linkage.h>
 #include <sys/param.h>
@@ -49,24 +43,6 @@
 #include <sys/fsr.h>
 #include <sys/cheetahregs.h>
 
-#if defined(lint)
-
-/* ARGSUSED */
-uint64_t
-lddmcdecode(uint64_t physaddr)
-{
-	return (0x0ull);
-}
-
-/* ARGSUSED */
-uint64_t
-lddsafaddr(uint64_t physaddr)
-{
-	return (0x0ull);
-}
-
-#else /* !lint */
-
 !
 ! Load the safari address for a specific cpu
 !
@@ -93,4 +69,3 @@
 	wrpr	%g0, %o4, %pstate	! restore earlier pstate register value
 	SET_SIZE(lddmcdecode)
 
-#endif /* lint */
--- old/usr/src/uts/sun4u/ml/cpr_resume_setup.s	Thu Nov 14 19:00:46 2019
+++ new/usr/src/uts/sun4u/ml/cpr_resume_setup.s	Thu Nov 14 19:00:46 2019
@@ -24,13 +24,7 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
-#if defined(lint)
-#include <sys/types.h>
-#else   /* lint */
 #include "assym.h"
-#endif  /* lint */
 
 #include <sys/asm_linkage.h>
 #include <sys/machthread.h>		/* for reg definition */
@@ -62,30 +56,6 @@
  * require changes to cprboot_srt0.s
  */
 
-#if defined(lint)
-
-/* ARGSUSED */
-void
-i_cpr_resume_setup(void *cookie, csu_md_t *mdp)
-{}
-
-/* ARGSUSED */
-int
-i_cpr_cif_wrapper(void *args)
-{ return (0); }
-
-/* ARGSUSED */
-void
-dtlb_wr_entry(uint_t index, tte_t *tte, uint64_t *va_tag)
-{}
-
-/* ARGSUSED */
-void
-itlb_wr_entry(uint_t index, tte_t *tte, uint64_t *va_tag)
-{}
-
-#else	/* lint */
-
 	!
 	! reserve 4k for cpr tmp stack; tstack should be first,
 	! any new data symbols should be added after tstack.
@@ -280,4 +250,3 @@
 	nop
 	SET_SIZE(itlb_wr_entry)
 
-#endif /* !lint */
--- old/usr/src/uts/sun4u/ml/mach_copy.s	Thu Nov 14 19:00:46 2019
+++ new/usr/src/uts/sun4u/ml/mach_copy.s	Thu Nov 14 19:00:46 2019
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/param.h>
 #include <sys/errno.h>
 #include <sys/asm_linkage.h>
@@ -36,9 +34,7 @@
 #include <sys/fsr.h>
 #include <sys/privregs.h>
 
-#if !defined(lint)
 #include "assym.h"
-#endif	/* lint */
 
 #define	FP_USED 1
 #define	LOFAULT_SET 2
@@ -60,20 +56,6 @@
  * uzero is used by the kernel to zero a block in user address space.
  */
 
-#if defined(lint)
-
-/* ARGSUSED */
-int
-kzero(void *addr, size_t count)
-{ return(0); }
-
-/* ARGSUSED */
-void
-uzero(void *addr, size_t count)
-{}
-
-#else	/* lint */
-
 	ENTRY(uzero)
 	!
 	! Set a new lo_fault handler only if we came in with one
@@ -154,21 +136,10 @@
 	SET_SIZE(kzero)
 	SET_SIZE(uzero)
 
-#endif	/* lint */
-
 /*
  * Zero a block of storage.
  */
 
-#if defined(lint)
-
-/* ARGSUSED */
-void
-bzero(void *addr, size_t count)
-{}
-
-#else	/* lint */
-
 	ENTRY(bzero)
 	wr	%g0, ASI_P, %asi
 
@@ -474,4 +445,3 @@
 	clr	%o0			! return (0)
 
 	SET_SIZE(bzero)
-#endif	/* lint */
--- old/usr/src/uts/sun4u/ml/mach_interrupt.s	Thu Nov 14 19:00:46 2019
+++ new/usr/src/uts/sun4u/ml/mach_interrupt.s	Thu Nov 14 19:00:46 2019
@@ -23,12 +23,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(lint)
-#include <sys/types.h>
-#include <sys/thread.h>
-#else	/* lint */
 #include "assym.h"
-#endif	/* lint */
 
 #include <sys/asm_linkage.h>
 #include <sys/machthread.h>
@@ -42,14 +37,6 @@
 #endif /* TRAPTRACE */
 
 
-#if defined(lint)
-
-void
-vec_interrupt(void)
-{}
-
-#else	/* lint */
-
 vec_uiii_irdr_tab:
         .byte   UIII_IRDR_0, UIII_IRDR_1, UIII_IRDR_2, UIII_IRDR_3
         .byte   UIII_IRDR_4, UIII_IRDR_5, UIII_IRDR_6, UIII_IRDR_7
@@ -272,16 +259,6 @@
 	retry
 	SET_SIZE(dmv_vector)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-void
-vec_intr_spurious(void)
-{}
-
-#else	/* lint */
-
 	DGDEF(vec_spurious_cnt)
 	.word	0
 
@@ -340,4 +317,3 @@
 
 _not_ready:	.asciz	"Interrupt Vector Receive Register not READY"
 
-#endif	/* lint */
--- old/usr/src/uts/sun4u/ml/mach_locore.s	Thu Nov 14 19:00:47 2019
+++ new/usr/src/uts/sun4u/ml/mach_locore.s	Thu Nov 14 19:00:47 2019
@@ -23,15 +23,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
-#if defined(lint)
-#include <sys/types.h>
-#include <sys/t_lock.h>
-#include <sys/promif.h>
-#include <sys/prom_isa.h>
-#endif	/* lint */
-
 #include <sys/asm_linkage.h>
 #include <sys/intreg.h>
 #include <sys/ivintr.h>
@@ -46,13 +37,7 @@
 #include <sys/machasi.h>
 #include <sys/clock.h>
 #include <vm/hat_sfmmu.h>
-#if defined(lint)
 
-#include <sys/thread.h>
-#include <sys/time.h>
-
-#else	/* lint */
-
 #include "assym.h"
 
 
@@ -174,16 +159,6 @@
 _local_p1275cis:
 	.nword	0
 
-#endif	/* lint */
-
-#if defined(lint)
-
-void
-_start(void)
-{}
-
-#else /* lint */
-
 	.seg	".data"
 
 	.global nwindows, nwin_minus_one, winmask
@@ -356,9 +331,7 @@
 	.asciz	"main returned"
 	.align	4
 
-#endif	/* lint */
 
-
 /*
  * Generic system trap handler.
  *
@@ -394,14 +367,6 @@
  *	    uint32_t arg2 [%g3.l], uint32_t arg3 [%g3.h], uint32_t [%g2.h])
  */
 
-#if defined(lint)
-
-void
-sys_trap(void)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(sys_trap)
 	!
 	! force tl=1, update %cwp, branch to correct handler
@@ -875,10 +840,6 @@
 	SET_SIZE(priv_rtt)
 	SET_SIZE(ktl0)
 
-#endif	/* lint */
-
-#ifndef lint
-
 #ifdef DEBUG
 	.seg	".data"
 	.align	4
@@ -899,7 +860,6 @@
 	mov	%o3, %o2
 	SET_SIZE(bad_g4)
 #endif /* DEBUG */
-#endif /* lint */
 
 /*
  * sys_tl1_panic can be called by traps at tl1 which
@@ -906,13 +866,6 @@
  * really want to panic, but need the rearrangement of
  * the args as provided by this wrapper routine.
  */
-#if defined(lint)
-
-void
-sys_tl1_panic(void)
-{}
-
-#else	/* lint */
 	ENTRY_NP(sys_tl1_panic)
 	mov	%o1, %o0
 	mov	%o2, %o1
@@ -919,7 +872,6 @@
 	call	panic
 	mov	%o3, %o2
 	SET_SIZE(sys_tl1_panic)
-#endif /* lint */
 
 /*
  * Turn on or off bits in the auxiliary i/o register.
@@ -932,15 +884,6 @@
  * used to turn on/off the led.
  */
 
-#if defined(lint)
-
-/* ARGSUSED */
-void
-set_auxioreg(int bit, int flag)
-{}
-
-#else	/* lint */
-
 	.seg	".data"
 	.align	4
 auxio_panic:
@@ -980,8 +923,6 @@
 	 wrpr	%g0, %o2, %pstate	/* enable interrupt */
 	SET_SIZE(set_auxioreg)
 
-#endif /* lint */
-
 /*
  * Flush all windows to memory, except for the one we entered in.
  * We do this by doing NWINDOW-2 saves then the same number of restores.
@@ -989,29 +930,11 @@
  * This is used for context switching.
  */
 
-#if defined(lint)
-
-void
-flush_windows(void)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(flush_windows)
 	retl
 	flushw
 	SET_SIZE(flush_windows)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-void
-debug_flush_windows(void)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(debug_flush_windows)
 	set	nwindows, %g1
 	ld	[%g1], %g1
@@ -1033,20 +956,10 @@
 
 	SET_SIZE(debug_flush_windows)
 
-#endif	/* lint */
-
 /*
  * flush user windows to memory.
  */
 
-#if defined(lint)
-
-void
-flush_user_windows(void)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(flush_user_windows)
 	rdpr	%otherwin, %g1
 	brz	%g1, 3f
@@ -1065,8 +978,6 @@
 	nop
 	SET_SIZE(flush_user_windows)
 
-#endif	/* lint */
-
 /*
  * Throw out any user windows in the register file.
  * Used by setregs (exec) to clean out old user.
@@ -1074,14 +985,6 @@
  * signal.
  */
 
-#if defined(lint)
-
-void
-trash_user_windows(void)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(trash_user_windows)
 	rdpr	%otherwin, %g1
 	brz	%g1, 3f			! no user windows?
@@ -1107,43 +1010,16 @@
 	SET_SIZE(trash_user_windows)
 
 
-#endif	/* lint */
-
 /*
  * Setup g7 via the CPU data structure.
  */
-#if defined(lint)
 
-struct scb *
-set_tbr(struct scb *s)
-{ return (s); }
-
-#else	/* lint */
-
 	ENTRY_NP(set_tbr)
 	retl
 	ta	72		! no tbr, stop simulation
 	SET_SIZE(set_tbr)
 
-#endif	/* lint */
 
-
-#if defined(lint)
-/*
- * These need to be defined somewhere to lint and there is no "hicore.s"...
- */
-char etext[1], end[1];
-#endif	/* lint*/
-
-#if defined (lint)
-
-/* ARGSUSED */
-void
-ptl1_panic(u_int reason)
-{}
-
-#else /* lint */
-
 #define	PTL1_SAVE_WINDOW(RP)						\
 	stxa	%l0, [RP + RW64_LOCAL + (0 * RW64_LOCAL_INCR)] %asi;	\
 	stxa	%l1, [RP + RW64_LOCAL + (1 * RW64_LOCAL_INCR)] %asi;	\
@@ -1418,25 +1294,9 @@
 	  mov	%l1, %o0
 	/*NOTREACHED*/
 	SET_SIZE(ptl1_panic)
-#endif /* lint */
 
 #ifdef	PTL1_PANIC_DEBUG
-#if defined (lint)
-/*
- * ptl1_recurse() calls itself a number of times to either set up a known
- * stack or to cause a kernel stack overflow. It decrements the arguments 
- * on each recursion.
- * It's called by #ifdef PTL1_PANIC_DEBUG code in startup.c to set the
- * registers to a known state to facilitate debugging.
- */
 
-/* ARGSUSED */
-void 
-ptl1_recurse(int count_threshold, int trap_threshold)
-{}
-
-#else /* lint */
-
 	ENTRY_NP(ptl1_recurse)
 	save    %sp, -SA(MINFRAME), %sp
 
@@ -1501,16 +1361,6 @@
 	  nop 					! NOTREACHED 
         SET_SIZE(ptl1_recurse)
 
-#endif /* lint */
-
-#if defined (lint)
-
-/* ARGSUSED */
-void
-ptl1_panic_xt(int arg1, int arg2)
-{}
-
-#else /* lint */
 	/*
 	 * Asm function to handle a cross trap to call ptl1_panic()
 	 */
@@ -1519,20 +1369,10 @@
 	  mov	PTL1_BAD_DEBUG, %g1
         SET_SIZE(ptl1_panic_xt)
 
-#endif /* lint */
-
 #endif	/* PTL1_PANIC_DEBUG */
 
 #ifdef	TRAPTRACE
-#if	defined (lint)
 
-void
-trace_ptr_panic(void)
-{
-}
-
-#else	/* lint */
-
 	ENTRY_NP(trace_ptr_panic)
 	!
 	! freeze the trap trace to disable the assertions.  Otherwise,
@@ -1554,24 +1394,8 @@
 	mov	PTL1_BAD_TRACE_PTR, %g1
 	SET_SIZE(trace_ptr_panic)
 
-#endif	/* lint */
 #endif	/* TRAPTRACE */
         
-#if	defined (lint)
-/*
- * set_kcontextreg() sets PCONTEXT to kctx
- * if PCONTEXT==kctx, do nothing
- * if N_pgsz0|N_pgsz1 differ, do demap all first
- */
-
-/* ARGSUSED */
-void
-set_kcontextreg()
-{
-}
-
-#else	/* lint */
-
         ENTRY_NP(set_kcontextreg)
 	! SET_KCONTEXTREG(reg0, reg1, reg2, reg3, reg4, label1, label2, label3)
 	SET_KCONTEXTREG(%o0, %o1, %o2, %o3, %o4, l1, l2, l3)
@@ -1579,8 +1403,6 @@
         nop
 	SET_SIZE(set_kcontextreg)
 	
-#endif /* lint */
-	
 
 /*
  * The interface for a 32-bit client program that takes over the TBA
@@ -1587,15 +1409,6 @@
  * calling the 64-bit romvec OBP.
  */
 
-#if defined(lint)
-
-/* ARGSUSED */
-int
-client_handler(void *cif_handler, void *arg_array)
-{ return 0; }
-
-#else	/* lint */
-
 	ENTRY(client_handler)
 	save	%sp, -SA64(MINFRAME64), %sp	! 32 bit frame, 64 bit sized
 	sethi	%hi(tba_taken_over), %l2
@@ -1665,5 +1478,3 @@
 	restore	%o0, %g0, %o0			! delay; result in %o0
 	SET_SIZE(client_handler)
 
-#endif	/* lint */
-	
--- old/usr/src/uts/sun4u/ml/mach_subr_asm.s	Thu Nov 14 19:00:47 2019
+++ new/usr/src/uts/sun4u/ml/mach_subr_asm.s	Thu Nov 14 19:00:47 2019
@@ -27,12 +27,7 @@
  * General machine architecture & implementation specific
  * assembly language routines.
  */
-#if defined(lint)
-#include <sys/types.h>
-#include <sys/t_lock.h>
-#else	/* lint */
 #include "assym.h"
-#endif	/* lint */
 
 #include <sys/asm_linkage.h>
 #include <sys/machsystm.h>
@@ -42,14 +37,6 @@
 #include <sys/clock.h>
 #include <sys/fpras.h>
 
-#if defined(lint)
-
-uint64_t
-ultra_gettick(void)
-{ return (0); }
-
-#else	/* lint */
-
 /*
  * This isn't the routine you're looking for.
  *
@@ -63,17 +50,6 @@
 	rdpr	%tick, %o0
 	SET_SIZE(ultra_gettick)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-/*ARGSUSED*/
-int
-getprocessorid(void)
-{ return (0); }
-
-#else	/* lint */
-
 /*
  * Get the processor ID.
  * === MID reg as specified in 15dec89 sun4u spec, sec 5.4.3
@@ -85,26 +61,6 @@
 	nop
 	SET_SIZE(getprocessorid)
 
-#endif	/* lint */
-
-#if defined(lint)
-/*ARGSUSED*/
-void
-set_error_enable_tl1(uint64_t neer, uint64_t action)
-{}
-
-/* ARGSUSED */
-void
-set_error_enable(uint64_t neer)
-{}
-
-uint64_t
-get_error_enable()
-{
-	return ((uint64_t)0);
-}
-#else /* lint */
-
 	ENTRY(set_error_enable_tl1)
 	cmp	%g2, EER_SET_ABSOLUTE
 	be	%xcc, 1f
@@ -133,16 +89,6 @@
 	ldxa	[%g0]ASI_ESTATE_ERR, %o0	/* ecache error enable reg */
 	SET_SIZE(get_error_enable)
 
-#endif /* lint */
-
-#if defined(lint)
-void
-get_asyncflt(uint64_t *afsr)
-{
-	afsr = afsr;
-}
-#else /* lint */
-
 	ENTRY(get_asyncflt)
 	ldxa	[%g0]ASI_AFSR, %o1		! afsr reg
 	retl
@@ -149,16 +95,6 @@
 	stx	%o1, [%o0]
 	SET_SIZE(get_asyncflt)
 
-#endif /* lint */
-
-#if defined(lint)
-void
-set_asyncflt(uint64_t afsr)
-{
-	afsr = afsr;
-}
-#else /* lint */
-
 	ENTRY(set_asyncflt)
 	stxa	%o0, [%g0]ASI_AFSR		! afsr reg
 	membar	#Sync
@@ -166,16 +102,6 @@
 	nop
 	SET_SIZE(set_asyncflt)
 
-#endif /* lint */
-
-#if defined(lint)
-void
-get_asyncaddr(uint64_t *afar)
-{
-	afar = afar;
-}
-#else /* lint */
-
 	ENTRY(get_asyncaddr)
 	ldxa	[%g0]ASI_AFAR, %o1		! afar reg
 	retl
@@ -182,17 +108,6 @@
 	stx	%o1, [%o0]
 	SET_SIZE(get_asyncaddr)
 
-#endif /* lint */
-
-#if defined(lint) || defined(__lint)
-
-/* ARGSUSED */
-hrtime_t
-tick2ns(hrtime_t tick, uint_t cpuid)
-{ return 0; }
-
-#else	/* lint */
-
 	ENTRY_NP(tick2ns)
 	sethi	%hi(cpunodes), %o4
 	or	%o4, %lo(cpunodes), %o4		! %o4 = &cpunodes
@@ -210,17 +125,6 @@
 	nop
 	SET_SIZE(tick2ns)
 
-#endif  /* lint */
-
-#if defined(lint)
-
-/* ARGSUSED */
-void
-set_cmp_error_steering(void)
-{}
-
-#else	/* lint */
-
 	ENTRY(set_cmp_error_steering)
 	membar	#Sync
 	set	ASI_CORE_ID, %o0		! %o0 = ASI_CORE_ID
@@ -233,34 +137,11 @@
 	nop
 	SET_SIZE(set_cmp_error_steering)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-/* ARGSUSED */
-uint64_t
-ultra_getver(void)
-{
-	return (0); 
-}
-
-#else /* lint */
-
 	ENTRY(ultra_getver)
 	retl
 	rdpr	%ver, %o0
 	SET_SIZE(ultra_getver)
 
-#endif /* lint */
-
-#if defined(lint)
-
-int
-fpras_chkfn_type1(void)
-{ return 0; }
-
-#else	/* lint */
-
 	/*
 	 * Check instructions using just the AX pipelines, designed by
 	 * C.B. Liaw of PNP.
@@ -421,20 +302,10 @@
 	  mov	FPRAS_BADTRAP, %o0	! 16, how detected
 	SET_SIZE(fpras_chkfn_type1)
 
-#endif	/* lint */
-
 /*
  * fp_zero() - clear all fp data registers and the fsr
  */
 
-#if defined(lint) || defined(__lint)
-
-void
-fp_zero(void)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(fp_zero)
 	std	%g0, [%sp + ARGPUSH + STACK_BIAS]
 	fzero	%f0
@@ -473,4 +344,3 @@
 	fmuld	%f0, %f2, %f62
 	SET_SIZE(fp_zero)
 
-#endif	/* lint */
--- old/usr/src/uts/sun4u/ml/mach_xc.s	Thu Nov 14 19:00:47 2019
+++ new/usr/src/uts/sun4u/ml/mach_xc.s	Thu Nov 14 19:00:47 2019
@@ -23,12 +23,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(lint)
-#include <sys/types.h>
-#include <sys/cpuvar.h>
-#else	/*lint */
 #include "assym.h"
-#endif	/* lint */
 
 #include <sys/asm_linkage.h>
 #include <sys/privregs.h>
@@ -40,15 +35,6 @@
 #endif /* TRAPTRACE */
 
 
-#if defined(lint)
-
-/* ARGSUSED */
-void
-self_xcall(struct cpu *cpu, uint64_t arg1, uint64_t arg2, xcfunc_t *func)
-{}
-
-#else
-
 /*
  * Entered by the software trap (TT=ST_SELFXCALL, TL>0) thru send_self_xcall().
  * Emulate the mondo handler - vec_interrupt().
@@ -102,18 +88,7 @@
 	/* Not Reached */
 	SET_SIZE(self_xcall)
 
-#endif	/* lint */
-
 #ifdef  TRAPTRACE
-#if defined(lint)
-
-/* ARGSUSED */
-void
-xc_trace(u_int traptype, cpuset_t *cpu_set, xcfunc_t *func,
-	uint64_t arg1, uint64_t arg2)
-{}
-
-#else	/* lint */
 	ENTRY(xc_trace)
 	rdpr	%pstate, %g1
 	andn	%g1, PSTATE_IE | PSTATE_AM, %g2
@@ -186,17 +161,8 @@
 	wrpr	%g0, %g1, %pstate			/* enable interrupts */
 	SET_SIZE(xc_trace)
 
-#endif	/* lint */
 #endif	/* TRAPTRACE */
 
-#if defined(lint)
-
-/* ARGSUSED */
-void
-xt_sync_tl1(uint64_t *cpu_sync_addr)
-{}
-
-#else
 /*
  * This dummy tl1 function is there to ensure that previously called
  * xtrap handlers have exececuted. The hardware (mondo dispatch
@@ -210,4 +176,3 @@
 	retry
 	SET_SIZE(xt_sync_tl1)
 
-#endif  /* lint */
--- old/usr/src/uts/sun4u/ml/mc-us3_asm.s	Thu Nov 14 19:00:48 2019
+++ new/usr/src/uts/sun4u/ml/mc-us3_asm.s	Thu Nov 14 19:00:48 2019
@@ -26,29 +26,11 @@
  * Assembly code support for Memory Control driver
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
-#if !defined(lint)
 #include "assym.h"
 #include <sys/mc-us3.h>
-#endif	/* lint */
 
 #include <sys/asm_linkage.h>
 
-#if defined(lint)
-
-/*
- * routine to get value of Memory Control Registers
- */
-/* ARGSUSED */
-uint64_t
-get_mcr(int offset)
-{
-	return ((uint64_t)0);
-}
-
-#else	/* lint */
-
  	! This routine is to get content of Memory Control Registers
  	ENTRY(get_mcr)
  	! input
@@ -59,4 +41,3 @@
  	  nop
  	SET_SIZE(get_mcr)
  
-#endif /* lint */
--- old/usr/src/uts/sun4u/ml/memscrub_asm.s	Thu Nov 14 19:00:48 2019
+++ new/usr/src/uts/sun4u/ml/memscrub_asm.s	Thu Nov 14 19:00:48 2019
@@ -23,19 +23,11 @@
  * Copyright (c) 2007 by Sun Microsystems, Inc.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * General machine architecture & implementation specific
  * assembly language routines.
  */
-#if defined(lint)
-#include <sys/types.h>
-#include <sys/machsystm.h>
-#include <sys/t_lock.h>
-#else   /* lint */
 #include "assym.h"
-#endif  /* lint */
 
 #include <sys/asm_linkage.h>
 #include <sys/eeprom.h>
@@ -47,15 +39,6 @@
 #include <sys/privregs.h>
 #include <sys/archsystm.h>
 
-#if defined(lint)
-
-/*ARGSUSED*/
-void
-memscrub_read(caddr_t vaddr, u_int blks)
-{}
-
-#else	/* lint */
-
 	!
 	! void	memscrub_read(caddr_t src, u_int blks)
 	!
@@ -88,4 +71,3 @@
 	wr	%o2, 0, %fprs			! restore fprs (disabled)
 	SET_SIZE(memscrub_read)
 
-#endif	/* lint */
--- old/usr/src/uts/sun4u/ml/trap_table.s	Thu Nov 14 19:00:48 2019
+++ new/usr/src/uts/sun4u/ml/trap_table.s	Thu Nov 14 19:00:48 2019
@@ -23,9 +23,7 @@
  * Use is subject to license terms.
  */
  
-#if !defined(lint)
 #include "assym.h"
-#endif /* !lint */
 #include <sys/asm_linkage.h>
 #include <sys/privregs.h>
 #include <sys/sun4asi.h>
@@ -117,9 +115,7 @@
  * NOT is used for traps that just shouldn't happen.
  * It comes in both single and quadruple flavors.
  */
-#if !defined(lint)
 	.global	trap
-#endif /* !lint */
 #define	NOT			\
 	TT_TRACE(trace_gen)	;\
 	set	trap, %g1	;\
@@ -149,9 +145,7 @@
  * TRAP vectors to the trap() function.
  * It's main use is for user errors.
  */
-#if !defined(lint)
 	.global	trap
-#endif /* !lint */
 #define	TRAP(arg)		\
 	TT_TRACE(trace_gen)	;\
 	set	trap, %g1	;\
@@ -280,8 +274,6 @@
 	clr %o4; clr %o5; clr %o6; clr %o7			;\
 	retry; .align 128
 
-#if !defined(lint)
-
 /*
  * If we get an unresolved tlb miss while in a window handler, the fault
  * handler will resume execution at the last instruction of the window
@@ -700,8 +692,6 @@
 	ba,a,pt	%xcc, fault_64bit_/**/tail			;\
 	.empty
 
-#endif /* !lint */
-
 /*
  * SPILL_mixed spills either size window, depending on
  * whether %sp is even or odd, to a 32-bit address space.
@@ -845,7 +835,6 @@
 	nop				;\
 	.align	32
 
-#if !defined(lint)
 /*
  * asynchronous traps at level 0 and level 1
  *
@@ -871,8 +860,6 @@
 table_name:				;\
 	BAD
 
-#endif /* !lint */
-
 /*
  * illegal instruction trap
  */
@@ -1319,13 +1306,6 @@
 #define TRACE_TSBHIT(ttextra)
 #endif
 
-#if defined(lint)
-
-struct scb	trap_table;
-struct scb	scb;		/* trap_table/scb are the same object */
-
-#else /* lint */
-
 /*
  * =======================================================================
  *		SPARC V9 TRAP TABLE
@@ -3065,4 +3045,3 @@
 	SYSCALL_NOTT(syscall_trap)
 	SET_SIZE(syscall_wrapper)
 
-#endif	/* lint */
--- old/usr/src/uts/sun4u/ml/wbuf.s	Thu Nov 14 19:00:49 2019
+++ new/usr/src/uts/sun4u/ml/wbuf.s	Thu Nov 14 19:00:49 2019
@@ -23,8 +23,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/asm_linkage.h>
 #include <sys/machthread.h>
 #include <sys/privregs.h>
@@ -35,7 +33,6 @@
 #include <sys/machtrap.h>
 #include <sys/traptrace.h>
 
-#if !defined(lint)
 #include "assym.h"
 
 	/*
@@ -453,4 +450,3 @@
 	mov	PTL1_BAD_WTRAP, %g1
 	SET_SIZE(fault_32bit_not)
 	SET_SIZE(fault_64bit_not)
-#endif /* !lint */
--- old/usr/src/uts/sun4u/opl/ml/drmach_asm.s	Thu Nov 14 19:00:49 2019
+++ new/usr/src/uts/sun4u/opl/ml/drmach_asm.s	Thu Nov 14 19:00:49 2019
@@ -30,12 +30,8 @@
  * only by DR for the copy-rename sequence.
  */
 
-#if defined(lint)
-#include <sys/types.h>
-#else
 #include "assym.h"
 #include "drmach_offsets.h"
-#endif /* lint */
 
 #include <sys/asm_linkage.h>
 #include <sys/param.h>
@@ -51,8 +47,6 @@
 #include <sys/drmach.h>
 #include <sys/sbd_ioctl.h>
 
-#if !defined(lint)
-
 /*
  * turn off speculative mode to prevent unwanted memory access
  * when we are in the FMEM loops
@@ -68,15 +62,8 @@
 	or	tmp1, tmp2, tmp1					;\
 	stxa	tmp1, [%g0]ASI_MCNTL					;\
 	membar #Sync
-#endif
 
 
-#if defined(lint)
-/*ARGSUSED*/
-void
-drmach_fmem_loop_script(caddr_t critical, int size, caddr_t stat)
-{ return; }
-#else /* lint */
 	.align  8
 	ENTRY_NP(drmach_fmem_loop_script)
 	/* turn off speculative mode */
@@ -158,14 +145,7 @@
 	ba	2b
 .word	 0x81b01060
 	SET_SIZE(drmach_fmem_loop_script)
-#endif /* lint */
 
-#if defined(lint)
-/*ARGSUSED*/
-void
-drmach_flush_icache(void)
-{ return; }
-#else /* lint */
 	.align  8
 	ENTRY_NP(drmach_flush_icache)
 	stxa	%g0, [%g0]ASI_ALL_FLUSH_L1I
@@ -173,14 +153,7 @@
 	retl
 	 nop
 	SET_SIZE(drmach_flush_icache)
-#endif
 
-#if defined(lint)
-/*ARGSUSED*/
-int
-drmach_fmem_exec_script(caddr_t critical, int size)
-{ return (0); }
-#else /* lint */
 .align 32
 	ENTRY_NP(drmach_fmem_exec_script)
 	/* turn off speculative mode */
@@ -455,29 +428,11 @@
 	ba,a	1b
 	 nop
 	SET_SIZE(drmach_fmem_exec_script)
-#endif /* lint */
 
-#if defined(lint)
-/*ARGSUSED*/
-void
-drmach_fmem_exec_script_end(caddr_t critical, int size)
-{ return; }
-#else /* lint */
 	ENTRY_NP(drmach_fmem_exec_script_end)
 	nop
 	SET_SIZE(drmach_fmem_exec_script_end)
-#endif /* lint */
 
-#if defined(lint)
-uint64_t
-patch_inst(uint64_t *x, uint64_t y)
-{
-	*x = y;
-	return (0);
-}
-
-#else   /* lint */
-
 	ENTRY_NP(patch_inst)
 	ldx	[%o0], %o2
 	casx	[%o0], %o2, %o1
@@ -488,14 +443,6 @@
 	 mov	%o2, %o0
 	SET_SIZE(patch_inst)
 
-#endif /* lint */
-
-#if defined(lint)
-void
-drmach_sys_trap()
-{
-}
-#else   /* lint */
 	ENTRY_NP(drmach_sys_trap)
 	mov	-1, %g4
 	set	sys_trap, %g5
@@ -502,28 +449,12 @@
 	jmp	%g5
 	 nop
 	SET_SIZE(drmach_sys_trap)
-#endif /* lint */
 
-#if defined(lint)
-uint64_t
-drmach_get_stick()
-{
-	return (0);
-}
-#else   /* lint */
 	ENTRY_NP(drmach_get_stick)
 	retl
 	rd	STICK, %o0
 	SET_SIZE(drmach_get_stick)
-#endif /* lint */
 
-#if defined(lint)
-/*ARGSUSED*/
-void
-drmach_flush(drmach_copy_rename_critical_t *x, uint_t y)
-{}
-
-#else /* lint */
 	ENTRY_NP(drmach_flush)
 	mov	%o0, %o2
 0:
@@ -534,4 +465,3 @@
 	retl
 	 nop
 	SET_SIZE(drmach_flush)
-#endif /* lint */
--- old/usr/src/uts/sun4u/opl/ml/mc-opl_asm.s	Thu Nov 14 19:00:49 2019
+++ new/usr/src/uts/sun4u/opl/ml/mc-opl_asm.s	Thu Nov 14 19:00:49 2019
@@ -26,20 +26,8 @@
  * All Rights Reserved, Copyright (c) FUJITSU LIMITED 2006
  */
 
-#if defined(lint)
-#include <sys/types.h>
-#else
 #include <sys/asm_linkage.h>
-#endif	/* lint */
 
-#if defined(lint)
-
-/* ARGSUSED */
-void
-mc_prefetch(caddr_t va)
-{ return; }
-
-#else
 	/* issue a strong prefetch to cause MI error */
 	ENTRY(mc_prefetch)
 	prefetch	[%o0],0x16
@@ -46,4 +34,3 @@
 	retl
 	nop
 	SET_SIZE(mc_prefetch)
-#endif
--- old/usr/src/uts/sun4u/serengeti/ml/sbdp_asm.s	Thu Nov 14 19:00:50 2019
+++ new/usr/src/uts/sun4u/serengeti/ml/sbdp_asm.s	Thu Nov 14 19:00:50 2019
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * This file is through cpp before being used as
  * an inline.  It contains support routines used
@@ -32,13 +30,7 @@
  * only by DR for the copy-rename sequence.
  */
 
-#if defined(lint)
-#include <sys/types.h>
-#include <sys/sbd_ioctl.h>
-#include <sys/sbdp_priv.h>
-#else
 #include "assym.h"
-#endif /* lint */
 
 #include <sys/asm_linkage.h>
 #include <sys/param.h>
@@ -58,8 +50,6 @@
 #include <sys/cheetahregs.h>
 #include <sys/cheetahasm.h>
 
-#ifndef lint
-
 /*
  * Invalidating the E$ tags is only needed on Cheetah following
  * the manual displacement flush.  The internal flush ASI used by
@@ -109,17 +99,6 @@
 	set	CH_ICACHE_LSIZE, reg2				;\
 2:
 
-#endif  /* !lint */
-
-#if defined(lint)
-
-/*ARGSUSED*/
-void
-sbdp_shutdown_asm(sbdp_shutdown_t *shutshown)
-{}
-
-#else /* lint */
-
         ENTRY_NP(sbdp_shutdown_asm)
         ! %o0 = address of sbdp_shutdown_t structure passed in
         !
@@ -215,31 +194,11 @@
 
 sbdp_shutdown_asm_end:
 
-#endif  /* lint */
 
-
-#if defined(lint)
-
-#else	/* lint */
 #include "assym.h"
-#endif	/* lint */
 
 #define	TT_HSM	0x99
 
-#if defined(lint)
-/* ARGSUSED */
-void
-sgdr_mem_blkcopy(caddr_t src, caddr_t dst, u_int linecount, u_int linesize)
-{}
-
-void
-stdmcdecode(uint64_t physaddr, uint64_t value)
-{
-	physaddr = physaddr;
-	value = value;
-}
-
-#else /* !lint */
 !
 ! Move a single cache line of data.  Survive UE and CE on the read
 !
@@ -322,4 +281,3 @@
         wrpr    %g0, %o4, %pstate       ! restore earlier pstate register value
         SET_SIZE(stdmcdecode)
 
-#endif /* lint */
--- old/usr/src/uts/sun4u/serengeti/ml/serengeti_asm.s	Thu Nov 14 19:00:50 2019
+++ new/usr/src/uts/sun4u/serengeti/ml/serengeti_asm.s	Thu Nov 14 19:00:50 2019
@@ -24,13 +24,7 @@
  * Use is subject to license terms.
  */
 
-#pragma	ident	"%Z%%M%	%I%	%E% SMI"
-
-#if defined(lint)
-#include <sys/types.h>
-#else
 #include "assym.h"
-#endif /* lint */
 
 #include <sys/asm_linkage.h>
 #include <sys/param.h>
@@ -49,24 +43,6 @@
 #include <sys/fsr.h>
 #include <sys/cheetahregs.h>
 
-#if defined(lint)
-
-/* ARGSUSED */
-uint64_t
-lddmcdecode(uint64_t physaddr)
-{
-	return (0x0ull);
-}
-
-/* ARGSUSED */
-uint64_t
-lddsafaddr(uint64_t physaddr)
-{
-	return (0x0ull);
-}
-
-#else /* !lint */
-
 !
 ! Load the safari address for a specific cpu
 !
@@ -93,4 +69,3 @@
 	wrpr	%g0, %o4, %pstate	! restore earlier pstate register value
 	SET_SIZE(lddmcdecode)
 
-#endif /* lint */
